Package com.arms.api.globaltreemap.controller

## Class TreeMapAbstractController

- java.lang.Object
- - com.arms.api.globaltreemap.controller.TreeMapAbstractController

- Direct Known Subclasses:
    `GlobalTreeMapController`

      public abstract class TreeMapAbstractController
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected GlobalTreeMapService` | `globalTreeMapService` |
    `protected org.modelmapper.ModelMapper` | `modelMapper` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TreeMapAbstractController()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.springframework.http.ResponseEntity<?>` | `addGlobalTreeMap​(GlobalTreeMapDTO globalTreeMapDTO, org.springframework.ui.ModelMap model, javax.servlet.http.HttpServletRequest request)` |
    `org.springframework.http.ResponseEntity<?>` | `alterGlobalTreeMap​(GlobalTreeMapDTO globalTreeMapDTO, org.springframework.ui.ModelMap model, javax.servlet.http.HttpServletRequest request)` |
    `org.springframework.http.ResponseEntity<CommonResponse.ApiResult<java.lang.String>>` | `deleteMapList​(java.lang.Long mapKey)` |
    `org.springframework.http.ResponseEntity<CommonResponse.ApiResult<GlobalTreeMapEntity>>` | `findMap​(java.lang.Long mapKey)` |
    `org.springframework.http.ResponseEntity<?>` | `findMapList​(GlobalTreeMapDTO globalTreeMapDTO)` |
    `org.springframework.http.ResponseEntity<?>` | `getAllGlobalTreeMap​(GlobalTreeMapDTO globalTreeMapDTO, org.springframework.ui.ModelMap model, javax.servlet.http.HttpServletRequest request)` |
    `org.springframework.http.ResponseEntity<?>` | `removeGlobalTreeMap​(GlobalTreeMapDTO globalTreeMapDTO, org.springframework.ui.ModelMap model, javax.servlet.http.HttpServletRequest request)` |
    `org.springframework.http.ResponseEntity<CommonResponse.ApiResult<java.util.List<GlobalTreeMapEntity>>>` | `saveMapList​(java.util.List<GlobalTreeMapDTO> globalTreeMapDTOs)` |
    `org.springframework.http.ResponseEntity<CommonResponse.ApiResult<GlobalTreeMapEntity>>` | `saveMapOne​(GlobalTreeMapDTO globalTreeMapDTO)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### modelMapper

          @Autowired
          protected org.modelmapper.ModelMapper modelMapper

    - #### globalTreeMapService

          @Autowired
          protected GlobalTreeMapService globalTreeMapService

  - ### Constructor Detail

    - #### TreeMapAbstractController

          public TreeMapAbstractController()

  - ### Method Detail

    - #### findMapList

          @GetMapping("/find")
          public org.springframework.http.ResponseEntity<?> findMapList​(GlobalTreeMapDTO globalTreeMapDTO)

    - #### findMap

          @GetMapping("/findBy")
          public org.springframework.http.ResponseEntity<CommonResponse.ApiResult<GlobalTreeMapEntity>> findMap​(@PathVariable
                                                                                                                java.lang.Long mapKey)

    - #### saveMapList

          @PostMapping("/save")
          public org.springframework.http.ResponseEntity<CommonResponse.ApiResult<java.util.List<GlobalTreeMapEntity>>> saveMapList​(@RequestBody
                                                                                                                                    java.util.List<GlobalTreeMapDTO> globalTreeMapDTOs)

    - #### saveMapOne

          @PostMapping("/saveOne")
          public org.springframework.http.ResponseEntity<CommonResponse.ApiResult<GlobalTreeMapEntity>> saveMapOne​(@RequestBody
                                                                                                                   GlobalTreeMapDTO globalTreeMapDTO)

    - #### deleteMapList

          @DeleteMapping("/delete/{mapKey}")
          public org.springframework.http.ResponseEntity<CommonResponse.ApiResult<java.lang.String>> deleteMapList​(@PathVariable
                                                                                                                   java.lang.Long mapKey)

    - #### getAllGlobalTreeMap

          @ResponseBody
          @RequestMapping(value="/getAllGlobalTreeMap.do",
                          method=GET)
          public org.springframework.http.ResponseEntity<?> getAllGlobalTreeMap​(GlobalTreeMapDTO globalTreeMapDTO,
                                                                                org.springframework.ui.ModelMap model,
                                                                                javax.servlet.http.HttpServletRequest request)
                                                                         throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### addGlobalTreeMap

          @ResponseBody
          @RequestMapping(value="/addGlobalTreeMap.do",
                          method=POST)
          public org.springframework.http.ResponseEntity<?> addGlobalTreeMap​(GlobalTreeMapDTO globalTreeMapDTO,
                                                                             org.springframework.ui.ModelMap model,
                                                                             javax.servlet.http.HttpServletRequest request)
                                                                      throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### alterGlobalTreeMap

          @ResponseBody
          @RequestMapping(value="/alterGlobalTreeMap.do",
                          method=PUT)
          public org.springframework.http.ResponseEntity<?> alterGlobalTreeMap​(GlobalTreeMapDTO globalTreeMapDTO,
                                                                               org.springframework.ui.ModelMap model,
                                                                               javax.servlet.http.HttpServletRequest request)
                                                                        throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### removeGlobalTreeMap

          @ResponseBody
          @RequestMapping(value="/removeGlobalTreeMap.do",
                          method=DELETE)
          public org.springframework.http.ResponseEntity<?> removeGlobalTreeMap​(GlobalTreeMapDTO globalTreeMapDTO,
                                                                                org.springframework.ui.ModelMap model,
                                                                                javax.servlet.http.HttpServletRequest request)
                                                                         throws java.lang.Exception

      Throws:
        `java.lang.Exception`